Revoke Isolation Segment For Organization

Revoke Isolation Segment For Organization
Revoke entitlement to isolation segment for an organization

This endpoint revokes the entitlement for the specified organization to the isolation segment. If the isolation segment is assigned to a space within an organization, the entitlement cannot be revoked. If the isolation segment is the organization’s default, the entitlement cannot be revoked.

Request
URI
DELETE
https://api.example.local/v3/isolation_segments/{guid}/relationships/organizations/{org_guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

string
org_guid
Required

The GUID of the organization to revoke entitlement from.


Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/isolation_segments/{guid}/relationships/organizations/{org_guid}